from typing import Dict

'''
Time:      7  15   30
Distance:  9  40  200
'''

def read() -> Dict[int, int]:
    with open('06/6.ex', 'r', encoding='utf-8') as f:
        content = f.read().splitlines()
    times, distances = content[0], content[1]
    times = times.split(':')[1].split()
    distances = distances.split(':')[1].split()
    mapping: Dict[int, int] = {int(times[i]): int(distances[i]) for i in range(len(times))}
    return mapping



if __name__ == '__main__':
    mapping: Dict[int, int] = read()
    print(mapping)