from typing import List, Dict

'''
RL

AAA = (BBB, CCC)
BBB = (DDD, EEE)
CCC = (ZZZ, GGG)
DDD = (DDD, DDD)
EEE = (EEE, EEE)
GGG = (GGG, GGG)
ZZZ = (ZZZ, ZZZ)
'''

def read() -> List[str]:
    with open('08/8.ex', 'r', encoding='utf-8') as f:
        return f.read().splitlines()


if __name__ == '__main__':
    content: List[str] = read()
    instructions: str = content[0]  # RL
    nodes: Dict[str, List[str]] = {}
    for line in content[2:]:
        origin, destination = line.split(' = ')
        destination: List[str] = destination[1:-1].split(', ') # On enlève les parenthèses et on split,
        nodes[origin] = destination
    print(instructions, nodes)